## org.eclipse.wst.server.ui.editor
Interface IServerEditorPartInput

    public interface IServerEditorPartInput

An input into a server part or section editor.

Since:
  1.0

Method Summary
`IServerWorkingCopy` `getServer()` Returns the server to be edited.
`boolean` `isServerReadOnly()` Returns true if the server is read-only.

Method Detail

### getServer

    IServerWorkingCopy getServer()

  Returns the server to be edited.

  Returns:
    a working copy of the server

### isServerReadOnly

    boolean isServerReadOnly()

  Returns true if the server is read-only.

  Returns:
    boolean `true` if the server is read-only, and `false` otherwise